Summary: Command line ACPI client
Name: acpitool
Version: 0.5.1
Release: 16%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://freeunix.dyndns.org:8000/site2/acpitool.shtml

Source0: http://freeunix.dyndns.org:8088/ftp_site/pub/unix/acpitool/acpitool-%{version}.tar.bz2
#Patch0: acpitool-0.5-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
AcpiTool is a Linux ACPI client. It's a small command line application, 
intended to be a replacement for the apm tool. Besides "basic" ACPI 
information like battery status, AC presence, putting the laptop to
sleep, Acpitool also supports various extensions for Toshiba, Asus and 
IBM Thinkpad laptops, allowing you to change the LCD brightness level, 
toggle fan on/off, and more. 


%prep
%setup -q
#patch0 -p1 -b .gcc43

%build
%configure
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/acpitool
%{_mandir}/man1/acpitool*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.5.1-10
- Rebuilt for GCC 5 C++11 ABI change

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 26 2009 Steven M. Parrish <smparrish@gmail.com> 0.5.1-1
- various minor fixes (fixing memleaks, removing of limit on thermal zones)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 18 2008 Patrice Dumas <pertusus@free.fr> 0.5-1
- update to 0.5

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.7-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.7-4
- Autorebuild for GCC 4.3

* Thu Jan  3 2008 Patrice Dumas <pertusus@free.fr> 0.4.7-3
- fixes for gcc 4.3

* Thu May 24 2007 Patrice Dumas <pertusus@free.fr> 0.4.7-2
- update to 0.4.7

* Fri Oct  6 2006 Patrice Dumas <pertusus@free.fr> 0.4.6-2
- set Group to Applications/System (fix #209230)

* Mon Aug 28 2006 Patrice Dumas <pertusus@free.fr> 0.4.6-1
- update to 0.4.6

* Sun May 21 2006 Patrice Dumas <pertusus@free.fr> 0.4.5-1
- update to 0.4.5

* Thu Feb 16 2006 Patrice Dumas <pertusus@free.fr> 0.4.4-1.1
- new version
- remove now unneeded patch

* Thu Nov 10 2005 Patrice Dumas <pertusus@free.fr> 0.3.0-3
- add patch to avoid ignoring CXXFLAGS

* Fri Nov  4 2005 Patrice Dumas <pertusus@free.fr> 0.3.0-2
- update using fedora core conventions, some cleanings

* Tue Aug 24 2004 Robert Ambrose <rna@muttsoft.com>
- Created .spec file.

